org.activiti.engine.query

## Interface Query<T extends Query<?,?>,U>

- All Known Subinterfaces:
    DeploymentQuery, ExecutionQuery, GroupQuery, HistoricActivityInstanceQuery, HistoricDetailQuery, HistoricProcessInstanceQuery, HistoricTaskInstanceQuery, HistoricVariableInstanceQuery, JobQuery, ModelQuery, ProcessDefinitionQuery, ProcessInstanceQuery, TaskInfoQuery<T,V>, TaskQuery, UserQuery

      public interface Query<T extends Query<?,?>,U>

  Describes basic methods for querying.
  Author:
    Frederik Heremans

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `asc()` Order the results ascending on the given property as defined in this class (needs to come after a call to one of the orderByXxxx methods).
    `long` | `count()` Executes the query and returns the number of results
    `T` | `desc()` Order the results descending on the given property as defined in this class (needs to come after a call to one of the orderByXxxx methods).
    `List<U>` | `list()` Executes the query and get a list of entities as the result.
    `List<U>` | `listPage(int firstResult, int maxResults)` Executes the query and get a list of entities as the result.
    `U` | `singleResult()` Executes the query and returns the resulting entity or null if no entity matches the query criteria.

- - ### Method Detail

    - #### asc

          T asc()

      Order the results ascending on the given property as defined in this class (needs to come after a call to one of the orderByXxxx methods).

    - #### desc

          T desc()

      Order the results descending on the given property as defined in this class (needs to come after a call to one of the orderByXxxx methods).

    - #### count

          long count()

      Executes the query and returns the number of results

    - #### singleResult

          U singleResult()

      Executes the query and returns the resulting entity or null if no entity matches the query criteria.
      Throws:
        `ActivitiException` - when the query results in more than one entities.

    - #### list

          List<U> list()

      Executes the query and get a list of entities as the result.

    - #### listPage

          List<U> listPage(int firstResult,
                           int maxResults)

      Executes the query and get a list of entities as the result.

Copyright © 2016 Alfresco. All rights reserved.